PGASetCharacterAllele(1)

NAME
PGASetCharacterAllele - sets the value of an allele in a PGA_DATATYPE_CHARACTER string.

INPUT PARAMETERS
ctx - context variable
p   - string index
pop - symbolic constant of the population the string is in
i   - allele index
val - character value to set the allele to

OUTPUT PARAMETERS
side
    -effect.

SYNOPSIS
#include "pgapack.h"
void  PGASetCharacterAllele(ctx, p, pop, i, value)
PGAContext *ctx
int p
int pop
int i
char value

LOCATION
char.c

EXAMPLE
Copies the alleles from member p in PGA_OLDPOP to member q in PGA_NEWPOP.
Assumes the strings are of the same length.

PGAContext *ctx;
int p, q, i;
:
for (i=PGAGetStringLength(ctx)-1; i>=0; i--)
PGASetCharacterAllele(ctx, q, PGA_NEWPOP, i,
PGAGetCharacterAllele(ctx, p, PGA_OLDPOP, i))